apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: bazarr
  namespace: multimedia
  annotations:
    container.apparmor.security.beta.kubernetes.io/bazarr: runtime/default
spec:
  serviceName: bazarr
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app: bazarr
  template:
    metadata:
      labels:
        app: bazarr
      annotations:
        container.apparmor.security.beta.kubernetes.io/bazarr: runtime/default
    spec:
      affinity:
        nodeAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
            - preference:
                matchExpressions:
                  - key: role
                    operator: In
                    values:
                      - multimedia
              weight: 1
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
              - matchExpressions:
                  - key: role
                    operator: In
                    values:
                      - multimedia
      containers:
      - image: linuxserver/bazarr:arm64v8-version-v1.0.0
        imagePullPolicy: IfNotPresent
        env:
          - name: TZ
            value: "Europe/Warsaw"
        name: bazarr
        resources:
          limits:
            memory: 150Mi
            cpu: 500m
          requests:
            memory: 150Mi
            cpu: 300m
        securityContext:
          allowPrivilegeEscalation: false
        volumeMounts:
        - mountPath: /config
          name: bazarr-config
        - mountPath: /movies
          name: bazarr-videos
        - mountPath: /downloads/complete
          name: bazarr-videos
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      volumes:
      - name: bazarr-config
        persistentVolumeClaim:
          claimName: bazarr-config-claim
      - name: bazarr-videos
        persistentVolumeClaim:
          claimName: bazarr-videos-claim